• 1
  • 2
  • 3
  • 4
  • 5
  • 6
  • 7
  • 8
  • 9
  • 10
  • 11
  • 12
  • 13
  • 14
  • 15
  • 16
  • 17
  • 18
  • 19
  • 20
  • 21
  • 22
  • 23
  • 24
  • 25
  • 26
  • 27
  • 28
  • 29
  • 30
  • 31

Mac OS環境ではRiakをbrew install riak でインストール出来ますが、 Xcode4が入っている環境ではコンパイルエラーが発生して上手くいかないようです。どうやらllvm-gccが使われてるのが原因らしい。

以下のように--use-gccで強制的にgccを使うようにすれば良さそうです。

   1  # brew -v install --use-gcc riak

posted by Png genki on Fri 6 May 2011 at 06:02

ubuntuのバージョンを調べるには

   1  % lsb_release -a
   2  No LSB modules are available.
   3  Distributor ID:	Ubuntu
   4  Description:	Ubuntu 10.10
   5  Release:	10.10
   6  Codename:	maverick

とやれば良いらしい。

posted by Png genki on Fri 6 May 2011 at 04:33

以下を参照

しつつ、

   1  # wget http://downloads.basho.com/riak/riak-0.14/riak_0.14.0-1_amd64.deb
   2  # dpkg -i riak_0.14.0-1_amd64.deb

posted by Png genki on Fri 6 May 2011 at 02:55
Contents
Xcode4が入っている環境でhomebrewでRiakをインストールする方法のメモ
ubuntuのバージョンを調べる
ubuntuにRiakをインストールする手順のメモ
Comments
dsjf: https://gist.github.com/6bf1bf2c3cbb5eb6e7a7 これ... '13-1
瀧内元気: おお、チェックしてみます。thx! '11-12
overisland: Reeder for iPhone もこの UI を実装していますね。 '11-12
瀧内元気: その情報は見たのですが、以下のサイトによると、現在はまた必要になってるっぽいんですよね。 ... '11-12
tkawa: http://devcenter.heroku.com/articles/rails31_he... '11-12
Services from s21g
twpro(ツイプロ)
Twitterプロフィールを快適検索
地価2009
土地の値段を調べてみよう
MyRestaurant
自分だけのレストラン手帳
Formula
ブログに数式を埋め込める数式コミュニティ